- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 77fadc45-13bb-4c32-a714-2f3008b07bcf
    creation_time: 2023-02-17T12:12:05.239982Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/hhk2008.i
      input_file_hashes:
        c/loop-lit/hhk2008.i: 71a7284f447428ecffa93ec68ad1c6e5855fc63e0841f7f396bb4f1c281c6b13
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/hhk2008.i
    file_hash: 71a7284f447428ecffa93ec68ad1c6e5855fc63e0841f7f396bb4f1c281c6b13
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: res+cnt == a+b && cnt >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d355114f-0eb2-415c-a0cc-21b679b18562
    creation_time: 2023-02-17T12:12:05.240267Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/hhk2008.i
      input_file_hashes:
        c/loop-lit/hhk2008.i: 71a7284f447428ecffa93ec68ad1c6e5855fc63e0841f7f396bb4f1c281c6b13
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/hhk2008.i
    file_hash: 71a7284f447428ecffa93ec68ad1c6e5855fc63e0841f7f396bb4f1c281c6b13
    line: 36
    column: 0
    function: main
  location_invariant:
    string: res == a+b
    type: assertion
    format: C

